org.apache.felix.gogo.runtime

## Class Token

- java.lang.Object
- - org.apache.felix.gogo.runtime.Token

All Implemented Interfaces:
  CharSequence

Direct Known Subclasses:
  Parser.Array, Parser.Closure, Parser.Executable, Parser.Program

    public class Token
    extends Object
    implements CharSequence

### Field Summary

Fields
`protected char[]` `ch`
`protected int` `column`
`protected int` `length`
`protected int` `line`
`protected int` `start`

### Constructor Summary

Constructors
Constructor and Description
`Token(char[] _ch, int _start, int _length, int _line, int _col)`
`Token(CharSequence cs)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`char` `charAt(int index)`
`int` `column()`
`static boolean` `eq(CharSequence cs1, CharSequence cs2)`
`int` `length()`
`int` `line()`
`int` `start()`
`Token` `subSequence(int start, int end)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Field Detail

#### ch

    protected final char[] ch

#### start

    protected final int start

#### length

    protected final int length

#### line

    protected final int line

#### column

    protected final int column

### Constructor Detail

#### Token

    public Token(CharSequence cs)

#### Token

    public Token(char[] _ch,
                 int _start,
                 int _length,
                 int _line,
                 int _col)

### Method Detail

#### line

    public int line()

#### column

    public int column()

#### start

    public int start()

#### length

    public int length()

Specified by:
  `length` in interface `CharSequence`

#### charAt

    public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

#### subSequence

    public Token subSequence(int start,
                             int end)

Specified by:
  `subSequence` in interface `CharSequence`

#### toString

    public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`

#### eq

    public static boolean eq(CharSequence cs1,
                             CharSequence cs2)